Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class EmptyBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.EmptyBorder

Direct Known Subclasses:
  BorderUIResource.EmptyBorderUIResource, MatteBorder

public class EmptyBorder
extends AbstractBorder
implements java.io.Serializable

A class which provides an empty, transparent border which takes up space but does no drawing.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected int` | `bottom`
`protected int` | `left`
`protected int` | `right`
`protected int` | `top`

Constructor Summary
`EmptyBorder(java.awt.Insets insets)` Creates an empty border with the specified insets.
`EmptyBorder(int top, int left, int bottom, int right)` Creates an empty border with the specified insets.

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns the insets of the border.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Does no drawing by default.

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### left

    protected int left

### right

    protected int right

### top

    protected int top

### bottom

    protected int bottom

Constructor Detail

### EmptyBorder

    public EmptyBorder(int top,
                       int left,
                       int bottom,
                       int right)

  Creates an empty border with the specified insets.
  Parameters:
    `top` - the top inset of the border
    `left` - the left inset of the border
    `bottom` - the bottom inset of the border
    `right` - the right inset of the border

### EmptyBorder

    public EmptyBorder(java.awt.Insets insets)

  Creates an empty border with the specified insets.
  Parameters:
    `insets` - the insets of the border

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Does no drawing by default.
  Overrides:
    paintBorder in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns the insets of the border.
  Parameters:
    `c` - the component for which this border insets value applies
  Overrides:
    getBorderInsets in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c,
                                           java.awt.Insets insets)

  Reinitialize the insets parameter with this Border's current Insets.
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized
  Overrides:
    getBorderInsets in class AbstractBorder

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque. Returns false by default.
  Overrides:
    isBorderOpaque in class AbstractBorder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.